List parameters for an admin
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_branches |
| Database | read_branches |
| Branch | read_branch |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Branch name from list_branches. Example: main.
Query Parameters
Set to true to return only internal parameters, which cannot be changed. Set to false to return only parameters you can change. Omit to return both.
Response
Returns parameters for the admin
The name of the parameter
The display name of the parameter
The namespace of the parameter
admin, pgconf, replicator, router, sidecar Whether the parameter is advanced
Whether the parameter is internal and cannot be changed
The category of the parameter
The description of the parameter
The type of the parameter
array, boolean, bytes, float, integer, select, string, time The default value of the parameter
Whether the parameter is disabled
The update required before the parameter can be configured
cluster, configuration_profile The configured value of the parameter
Whether the parameter is required
When the parameter was created
When the parameter was last updated
Whether processes require a server restart after the parameter changes
The URL of the parameter
The ID of the parameter
The maximum value of the parameter, e.g. 800 or 1h
The minimum value of the parameter, e.g. 0 or 1ms
Options, including disabled ones, for the parameter value. Null means unset
The units of the parameter value

